scripts: use warnet main rather than personal branch

This commit is contained in:
Carla Kirk-Cohen 2024-04-16 13:13:21 -04:00
parent 7ccaa82885
commit ac4b6b31a5
No known key found for this signature in database
GPG Key ID: 4CA7FE54A6213C91
2 changed files with 0 additions and 16 deletions

View File

@ -17,22 +17,11 @@ fi
cd warnet
# Check if the 'carla' remote exists
if ! git remote | grep -q '^carla$'; then
echo "Remote 'carla' does not exist. Adding..."
git remote add carla https://github.com/carlaKC/warnet
fi
if [ -n "$(git status --porcelain)" ]; then
echo "There are uncommitted changes in warnet, please stash them!"
exit 1
fi
echo "Checking out custom branch of warnet"
echo "TODO: remove me when attackathon/18 has been addressed!"
git fetch carla > /dev/null 2>&1 || { echo "Failed to fetch carla"; exit 1; }
git checkout carla/attackathon > /dev/null 2>&1 || { echo "Failed to checkout carla/attackathon"; exit 1; }
# Check whether running docker desktop or minikube.
docker_info=$(docker info)
if grep -q "Operating System:.*Desktop" <<< "$docker_info"; then

View File

@ -7,11 +7,6 @@ fi
cd warnet
echo "Removing carla remote"
echo "TODO: remove me when attackathon/18 has been addressed!"
git remote remove carla
git checkout main
docker_info=$(docker info)
# Setup depends on docker or docker desktop.